org.apache.ignite.internal.portable.streams

## Class PortableAbstractStream

- java.lang.Object
- - org.apache.ignite.internal.portable.streams.PortableAbstractStream

All Implemented Interfaces:
  PortableStream

Direct Known Subclasses:
  PortableAbstractInputStream, PortableAbstractOutputStream

    public abstract class PortableAbstractStream
    extends Object
    implements PortableStream

Portable abstract stream.

### Field Summary

Fields
`protected static long` `BOOLEAN_ARR_OFF` Array offset: boolean.
`protected static long` `BYTE_ARR_OFF` Array offset: byte.
`protected static byte` `BYTE_ONE` Byte: one.
`protected static byte` `BYTE_ZERO` Byte: zero.
`protected static long` `CHAR_ARR_OFF` Array offset: char.
`protected static long` `DOUBLE_ARR_OFF` Array offset: double.
`protected static long` `FLOAT_ARR_OFF` Array offset: float.
`protected static long` `INT_ARR_OFF` Array offset: int.
`protected static boolean` `LITTLE_ENDIAN` Whether little endian is used on the platform.
`protected static long` `LONG_ARR_OFF` Array offset: long.
`protected int` `pos` Position.
`protected static long` `SHORT_ARR_OFF` Array offset: short.
`protected static sun.misc.Unsafe` `UNSAFE` Unsafe instance.

### Constructor Summary

Constructors
Constructor and Description
`PortableAbstractStream()`

### Method Summary

Methods
`int` `position()`
`protected void` `shift(int cnt)` Shift position.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.portable.streams.PortableStream

`array, arrayCopy, hasArray, offheapPointer, position`

### Field Detail

#### BYTE_ZERO

    protected static final byte BYTE_ZERO

Byte: zero.

See Also:
  Constant Field Values

#### BYTE_ONE

    protected static final byte BYTE_ONE

Byte: one.

See Also:
  Constant Field Values

#### LITTLE_ENDIAN

    protected static final boolean LITTLE_ENDIAN

Whether little endian is used on the platform.

#### UNSAFE

    protected static final sun.misc.Unsafe UNSAFE

Unsafe instance.

#### BOOLEAN_ARR_OFF

    protected static final long BOOLEAN_ARR_OFF

Array offset: boolean.

#### BYTE_ARR_OFF

    protected static final long BYTE_ARR_OFF

Array offset: byte.

#### SHORT_ARR_OFF

    protected static final long SHORT_ARR_OFF

Array offset: short.

#### CHAR_ARR_OFF

    protected static final long CHAR_ARR_OFF

Array offset: char.

#### INT_ARR_OFF

    protected static final long INT_ARR_OFF

Array offset: int.

#### FLOAT_ARR_OFF

    protected static final long FLOAT_ARR_OFF

Array offset: float.

#### LONG_ARR_OFF

    protected static final long LONG_ARR_OFF

Array offset: long.

#### DOUBLE_ARR_OFF

    protected static final long DOUBLE_ARR_OFF

Array offset: double.

#### pos

    protected int pos

Position.

### Constructor Detail

#### PortableAbstractStream

    public PortableAbstractStream()

### Method Detail

#### position

    public int position()

Specified by:
  `position` in interface `PortableStream`
Returns:
  Position.

#### shift

    protected void shift(int cnt)

Shift position.

Parameters:
  `cnt` - Byte count.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015